Bug 1355968 - No 'jenkins' template under openshift project
Summary: No 'jenkins' template under openshift project
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 07:37 UTC by XiuJuan Wang
Modified: 2016-09-19 13:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:21:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description XiuJuan Wang 2016-07-13 07:37:35 UTC
Description of problem:
No https://github.com/openshift/origin/blob/master/examples/jenkins/pipeline/jenkinstemplate.json syncs to roles/openshift_examples/files/examples of https://github.com/openshift/openshift-ansible repo. So no 'jenkins' template created under openshift project.

Version-Release number of selected component (if applicable):
openshift v3.3.0.4
kubernetes v1.3.0+57fb9ac

How reproducible:
always

Steps to Reproduce:
1.Check template under openshift project
2.
3.

Actual results:
No 'jenkins' template

Expected results:


Additional info:

Comment 1 Ben Parees 2016-07-13 13:46:45 UTC
yes we need to add the jenkinstemplate to what the ansible installer automatically creates/installs.

Comment 2 XiuJuan Wang 2016-08-01 10:50:13 UTC
Now there is 'jenkins' template which is using for jenkinspipeline strategy under openshift project. Could you help to set this bug to on_qa?

# oc get template  -n openshift | grep jenkins
jenkins                                   Jenkins service, without persistent storage. WARNING: Any data stored will be...   4 (all set)     6
jenkins-ephemeral                         Jenkins service, without persistent storage.
jenkins-persistent                        Jenkins service, with persistent storage.

Thanks!

Comment 3 Troy Dawson 2016-08-01 22:25:10 UTC
This has been merged and is in OSE v3.3.0.13 or newer.

Comment 4 XiuJuan Wang 2016-08-02 05:39:01 UTC
According to comment #2, this bug has fixed in ose 3.3.0.13 env.


Note You need to log in before you can comment on or make changes to this bug.